; OMOD Toggle for DOOMBASED by Reg

ScriptName DEagleFlashlightToggle extends Quest

; Properties
Weapon Property MyWeapon Auto

; OMODs that we want to switch
ObjectMod Property OMOD1 Auto
ObjectMod Property OMOD2 Auto

; Variables
int iCurrentOMOD = 1

Function Toggle()
    Actor PlayerREF = Game.GetPlayer()
    
    If (PlayerREF.GetItemCount(MyWeapon) > 1)
        Debug.Notification("You cannot have more than one of this weapon type to use the mod-switching feature.")
    EndIf
    
    If (iCurrentOMOD == 1)
        PlayerREF.AttachModToInventoryItem(MyWeapon, OMOD2)
        iCurrentOMOD = 2
		Debug.Notification("Light source switched. Toggle light off and then on again.")
    ElseIf (iCurrentOMOD == 2)
        PlayerREF.AttachModToInventoryItem(MyWeapon, OMOD1)
        iCurrentOMOD = 1
		Debug.Notification("Light source switched. Toggle light off and then on again.")
    EndIf
EndFunction